summaryrefslogtreecommitdiffstats
path: root/development/kdiff3/kdiff3.SlackBuild
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:26 +0200
commit582038ec65f4aafcf4847ef8fe5a8c1b1198941b (patch)
tree03f7800981adf29f315c53e3629c1a51ac01e0c4 /development/kdiff3/kdiff3.SlackBuild
parent8dad5197cd99e8b4b11782fd2e0b1e75d9ad73af (diff)
downloadslackbuilds-582038ec65f4aafcf4847ef8fe5a8c1b1198941b.tar.gz
slackbuilds-582038ec65f4aafcf4847ef8fe5a8c1b1198941b.tar.xz
development/kdiff3: Added to 12.0 repository
Diffstat (limited to 'development/kdiff3/kdiff3.SlackBuild')
-rw-r--r--development/kdiff3/kdiff3.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/development/kdiff3/kdiff3.SlackBuild b/development/kdiff3/kdiff3.SlackBuild
new file mode 100644
index 0000000000..81380de606
--- /dev/null
+++ b/development/kdiff3/kdiff3.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for: kdiff3
+# Written by (Michiel van Wessem <BP{k}>) (michiel@slackbuilds.org)
+
+# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=kdiff3
+VERSION=0.9.92
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix)
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-debug
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz